<odoo>
<data noupdate="1">
    <record id="module_category_sos_inventory" model="ir.module.category">
    <field name="name">Inventory</field>
    <field name="description">SOS Inventory Groups</field>
    <field name="sequence">20</field>
    </record>

    <!-- SCG Groups -->
    <record id="sos_scg_group_user" model="res.groups"> 
    <field name="name">SCG User</field>
    <field name="category_id"
    ref="sos_inventory.module_category_sos_inventory"/>
    </record>
    <record id="sos_scg_group_manager" model="res.groups">
    <field name="name">SCG Manager</field>
    <field name="category_id"
    ref="sos_inventory.module_category_sos_inventory"/>
    </record>

    <!-- Production Group -->
    <record id="sos_production_user" model="res.groups">
    <field name="name">Production User</field>
    <field name="category_id"
    ref="sos_inventory.module_category_sos_inventory"/>
    </record>

    <!-- QC/QA Group -->
    <record id="sos_qc_user" model="res.groups">
    <field name="name">QC User</field>
    <field name="category_id"
    ref="sos_inventory.module_category_sos_inventory"/>
    </record>
     <record id="sos_qa_user" model="res.groups">
    <field name="name">QA User</field>
    <field name="category_id"
    ref="sos_inventory.module_category_sos_inventory"/>
    </record>
    
    <!-- Sales Group -->
    <record id="sos_sales_user" model="res.groups">
    <field name="name">Sales User</field>
    <field name="category_id"
    ref="sos_inventory.module_category_sos_inventory"/>
    </record>
    <!-- Inside Sales Group -->
    <record id="sos_inside_sales_user" model="res.groups">
    <field name="name">Inside Sales User</field>
    <field name="category_id"
    ref="sos_inventory.module_category_sos_inventory"/>
    </record>
    
    <!-- CE Group -->
    <record id="sos_ce_user" model="res.groups">
    <field name="name">CE User</field>
    <field name="category_id"
    ref="sos_inventory.module_category_sos_inventory"/>
    </record>
    <record id="sos_ce_head" model="res.groups">
    <field name="name">CE Head</field>
    <field name="category_id"
    ref="sos_inventory.module_category_sos_inventory"/>
    <field name="implied_ids"
               eval="[(4, ref('sos_inventory.sos_ce_user'))]"/>
    </record>
    <!-- R & D Group -->
    <record id="sos_rd_user" model="res.groups">
    <field name="name">R &amp; D User</field>
    <field name="category_id"
    ref="sos_inventory.module_category_sos_inventory"/>
    </record>
    <!-- Finance Group -->
    <record id="sos_finance_user" model="res.groups">
    <field name="name">Finance User</field>
    <field name="category_id"
    ref="sos_inventory.module_category_sos_inventory"/>
    </record>
   <!-- Logistics Group -->
    <record id="sos_logistics_user" model="res.groups">
    <field name="name">Logistics User</field>
    <field name="category_id"
    ref="sos_inventory.module_category_sos_inventory"/>
    </record>
    <!-- Management Group -->
    <record id="sos_management_user" model="res.groups">
    <field name="name">Top Management User</field>
    <field name="category_id"
    ref="sos_inventory.module_category_sos_inventory"/>
    <field name="implied_ids"
               eval="[(4, ref('sos_inventory.sos_scg_group_user')),
                       (4, ref('sos_inventory.sos_production_user')),
                       (4, ref('sos_inventory.sos_qc_user'))  ]"/>
    </record>
     <!-- Process Reviewer Group -->
    <record id="sos_process_reviewer" model="res.groups">
    <field name="name">Process Reviewer</field>
    <field name="category_id"
    ref="sos_inventory.module_category_sos_inventory"/>
    </record>
     <!-- Finance Group -->
    <record id="sos_healthcare_user" model="res.groups">
    <field name="name">Healthcare User</field>
    <field name="category_id"
    ref="sos_inventory.module_category_sos_inventory"/>
    </record>
     <!-- HR Group -->
    <record id="sos_hr_user" model="res.groups">
    <field name="name">Human Resources User</field>
    <field name="category_id"
    ref="sos_inventory.module_category_sos_inventory"/>
    </record>
      <!-- System Admin Group -->
    <record id="sos_sys_admin_user" model="res.groups">
    <field name="name">System Admin User</field>
    <field name="category_id"
    ref="sos_inventory.module_category_sos_inventory"/>
    </record>
</data>
</odoo>
